> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiments Metrics

> Retrieve metrics for all experiments in a project.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/experiments/metrics
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/experiments/metrics:
    post:
      tags:
        - experiment
      summary: Get Experiments Metrics
      description: Retrieve metrics for all experiments in a project.
      operationId: >-
        get_experiments_metrics_v2_projects__project_id__experiments_metrics_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExperimentMetricsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentMetricsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ExperimentMetricsRequest:
      properties:
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/LogRecordsIDFilter'
              - $ref: '#/components/schemas/LogRecordsDateFilter'
              - $ref: '#/components/schemas/LogRecordsNumberFilter'
              - $ref: '#/components/schemas/LogRecordsBooleanFilter'
              - $ref: '#/components/schemas/LogRecordsCollectionFilter'
              - $ref: '#/components/schemas/LogRecordsTextFilter'
              - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
            discriminator:
              propertyName: type
              mapping:
                boolean:
                  $ref: '#/components/schemas/LogRecordsBooleanFilter'
                collection:
                  $ref: '#/components/schemas/LogRecordsCollectionFilter'
                date:
                  $ref: '#/components/schemas/LogRecordsDateFilter'
                fully_annotated:
                  $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
                id:
                  $ref: '#/components/schemas/LogRecordsIDFilter'
                number:
                  $ref: '#/components/schemas/LogRecordsNumberFilter'
                text:
                  $ref: '#/components/schemas/LogRecordsTextFilter'
          type: array
          title: Filters
      type: object
      title: ExperimentMetricsRequest
      examples:
        - filters:
            - case_sensitive: true
              name: input
              operator: eq
              type: text
              value: example input
    ExperimentMetricsResponse:
      properties:
        metrics:
          items:
            $ref: '#/components/schemas/BucketedMetric'
          type: array
          title: Metrics
          description: >-
            List of metrics for the experiment, including categorical and
            quartile metrics.
      type: object
      title: ExperimentMetricsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LogRecordsIDFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
        type:
          type: string
          const: id
          title: Type
          default: id
      type: object
      required:
        - column_id
        - value
      title: LogRecordsIDFilter
    LogRecordsDateFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
        type:
          type: string
          const: date
          title: Type
          default: date
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsDateFilter
    LogRecordsNumberFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
        type:
          type: string
          const: number
          title: Type
          default: number
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsNumberFilter
    LogRecordsBooleanFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
          title: Operator
          default: eq
        value:
          type: boolean
          title: Value
        type:
          type: string
          const: boolean
          title: Type
          default: boolean
      type: object
      required:
        - column_id
        - value
      title: LogRecordsBooleanFilter
    LogRecordsCollectionFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: collection
          title: Type
          default: collection
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsCollectionFilter
    LogRecordsTextFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsTextFilter
    LogRecordsFullyAnnotatedFilter:
      properties:
        column_id:
          type: string
          const: fully_annotated
          title: Column Id
          description: >-
            Queue-scoped filter identifier. This filter only works for
            annotation-queue searches that provide queue context.
          default: fully_annotated
        type:
          type: string
          const: fully_annotated
          title: Type
          default: fully_annotated
        user_ids:
          anyOf:
            - items:
                type: string
                format: uuid4
              type: array
              minItems: 1
            - type: 'null'
          title: User Ids
          description: >-
            Optional queue member IDs to require for full annotation in a
            queue-scoped search. If omitted, all tracked queue members visible
            to the requester are used.
      type: object
      title: LogRecordsFullyAnnotatedFilter
      description: Queue-scoped filter for records rated across all queue templates.
    BucketedMetric:
      properties:
        name:
          type: string
          title: Name
        buckets:
          additionalProperties:
            type: integer
          type: object
          title: Buckets
        average:
          anyOf:
            - type: number
            - type: 'null'
          title: Average
        roll_up_method:
          anyOf:
            - $ref: '#/components/schemas/RollUpMethodDisplayOptions'
            - type: 'null'
        data_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
      type: object
      required:
        - name
        - buckets
      title: BucketedMetric
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RollUpMethodDisplayOptions:
      type: string
      enum:
        - average
        - sum
        - max
        - min
        - category_count
        - percentage_true
        - percentage_false
      title: RollUpMethodDisplayOptions
      description: >-
        Display options for roll up methods when showing rolled up metrics in
        the UI.


        Separates display intent from computation methods. The computation
        methods

        (NumericRollUpMethod, CategoricalRollUpMethod) control what aggregations
        are available.

        This enum controls how the UI displays the selected roll-up value for a
        scorer.
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````